path: /build/build/meson-python-dev-python-0.17.1+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/meson-python -pv -t
  - |
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/meson-python
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/meson-python && luet-portage
    --dir /pkgdir/meson-python dev-python/meson-python
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:ff6fc949b59be3d7b493f35de3fa9689df68caf7cfae8237b03382c3ddbf4e4e
  package:
    name: meson-python
    version: 0.17.1+3
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: pyproject-metadata
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Meson Python build backend (PEP 517)
    uri:
    - https://pypi.org/project/meson-python/
    buildtimestamp: 2024-11-29 12:25:08.531026111 +0000 UTC m=+156.157426211
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-util/meson
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-util/patchelf dev-util/meson dev-python/pyproject-metadata[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/tomli[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/meson-python
      kit: python-modules-kit
      original.package.name: dev-python/meson-python
      original.package.slot: "0"
      original.package.version: 0.17.1
    treedir: /build/packages
  package_dir: /pkgdir/meson-python
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 509cc1d6077914795830e66676ae08ca3beb02dad630b3d26ec7d158127aed52
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/meson_python-0.17.1.dist-info/METADATA
- usr/lib/python3.9/site-packages/meson_python-0.17.1.dist-info/MIT.txt
- usr/lib/python3.9/site-packages/meson_python-0.17.1.dist-info/RECORD
- usr/lib/python3.9/site-packages/meson_python-0.17.1.dist-info/WHEEL
- usr/lib/python3.9/site-packages/mesonpy/__init__.py
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_editable.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_editable.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_editable.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_rpath.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_rpath.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_rpath.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_tags.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_tags.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_tags.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_util.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_util.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_util.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_wheelfile.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_wheelfile.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/mesonpy/__pycache__/_wheelfile.cpython-39.pyc
- usr/lib/python3.9/site-packages/mesonpy/_compat.py
- usr/lib/python3.9/site-packages/mesonpy/_editable.py
- usr/lib/python3.9/site-packages/mesonpy/_rpath.py
- usr/lib/python3.9/site-packages/mesonpy/_tags.py
- usr/lib/python3.9/site-packages/mesonpy/_util.py
- usr/lib/python3.9/site-packages/mesonpy/_wheelfile.py
- usr/share/doc/meson-python-0.17.1/README.rst.bz2
- var/db/pkg/dev-python/meson-python-0.17.1/BDEPEND
- var/db/pkg/dev-python/meson-python-0.17.1/BUILD_TIME
- var/db/pkg/dev-python/meson-python-0.17.1/CATEGORY
- var/db/pkg/dev-python/meson-python-0.17.1/CBUILD
- var/db/pkg/dev-python/meson-python-0.17.1/CFLAGS
- var/db/pkg/dev-python/meson-python-0.17.1/CHOST
- var/db/pkg/dev-python/meson-python-0.17.1/CONTENTS
- var/db/pkg/dev-python/meson-python-0.17.1/COUNTER
- var/db/pkg/dev-python/meson-python-0.17.1/CTARGET
- var/db/pkg/dev-python/meson-python-0.17.1/CXX
- var/db/pkg/dev-python/meson-python-0.17.1/CXXFLAGS
- var/db/pkg/dev-python/meson-python-0.17.1/DEFINED_PHASES
- var/db/pkg/dev-python/meson-python-0.17.1/DEPEND
- var/db/pkg/dev-python/meson-python-0.17.1/DESCRIPTION
- var/db/pkg/dev-python/meson-python-0.17.1/EAPI
- var/db/pkg/dev-python/meson-python-0.17.1/FEATURES
- var/db/pkg/dev-python/meson-python-0.17.1/HOMEPAGE
- var/db/pkg/dev-python/meson-python-0.17.1/INHERITED
- var/db/pkg/dev-python/meson-python-0.17.1/IUSE
- var/db/pkg/dev-python/meson-python-0.17.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/meson-python-0.17.1/KEYWORDS
- var/db/pkg/dev-python/meson-python-0.17.1/LDFLAGS
- var/db/pkg/dev-python/meson-python-0.17.1/LICENSE
- var/db/pkg/dev-python/meson-python-0.17.1/PF
- var/db/pkg/dev-python/meson-python-0.17.1/RDEPEND
- var/db/pkg/dev-python/meson-python-0.17.1/SIZE
- var/db/pkg/dev-python/meson-python-0.17.1/SLOT
- var/db/pkg/dev-python/meson-python-0.17.1/USE
- var/db/pkg/dev-python/meson-python-0.17.1/environment.bz2
- var/db/pkg/dev-python/meson-python-0.17.1/meson-python-0.17.1.ebuild
- var/db/pkg/dev-python/meson-python-0.17.1/repository
package_cacheimage: ""
runtime:
  name: meson-python
  version: 0.17.1+3
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: pyproject-metadata
    version: '>=0'
    category: dev-python
  - name: tomli
    version: '>=0'
    category: dev-python
  - name: meson
    version: '>=0'
    category: dev-util
  - name: patchelf
    version: '>=0'
    category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Meson Python build backend (PEP 517)
  uri:
  - https://pypi.org/project/meson-python/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-util/meson
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-util/patchelf dev-util/meson dev-python/pyproject-metadata[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/tomli[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/meson-python
    kit: python-modules-kit
    original.package.name: dev-python/meson-python
    original.package.slot: "0"
    original.package.version: 0.17.1
